Skip to main content
GET
/
data
/
views
/
query
/
total
/
{playbackId}
TypeScript
import { Livepeer } from "livepeer";

const livepeer = new Livepeer({
  apiKey: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await livepeer.metrics.getPublicViewership("<id>");

  // Handle the result
  console.log(result);
}

run();
package main

import(
	livepeergo "github.com/livepeer/livepeer-go"
	"context"
	"log"
)

func main() {
    s := livepeergo.New(
        livepeergo.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
    )

    ctx := context.Background()
    res, err := s.Metrics.GetPublicViewership(ctx, "<value>")
    if err != nil {
        log.Fatal(err)
    }
    if res.Data != nil {
        // handle response
    }
}
from livepeer import Livepeer

s = Livepeer(
    api_key="<YOUR_BEARER_TOKEN_HERE>",
)

res = s.metrics.get_public_viewership(playback_id="<value>")

if res.data is not None:
    # handle response
    pass
curl --request GET \
  --url https://livepeer.studio/api/data/views/query/total/{playbackId} \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://livepeer.studio/api/data/views/query/total/{playbackId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "playbackId": "<unknown>",
  "dStorageUrl": "<unknown>",
  "viewCount": "<unknown>",
  "playtimeMins": "<unknown>"
}
{
  "errors": [
    [
      "id not provided",
      "Account not found"
    ]
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

playbackId
string
required

The playback ID to filter the query results. This can be a canonical playback ID from Livepeer assets or streams, or dStorage identifiers for assets

Response

A single Metric object with the viewCount and playtimeMins metrics.

A simplified metric object about aggregate viewership of an asset. Either playbackId or dStorageUrl will be set.

playbackId
any
dStorageUrl
any
viewCount
any
playtimeMins
any
Last modified on March 18, 2026